/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

/**
* Navbar brand
*/
.main-header .navbar {
  @include navbar-variant($dge-gray, #fff);

  .navbar-toggle {
    color: #FFF;
  }
  .navbar-gouv {
    display: none;
  }
  .container {
    position: relative;
  }
  .navbar-wrapper {
    background-color: $dge-gray;
    margin-right: -15px;
    margin-left: -15px;
  }
  .navbar-brand {
    padding: 0px; /* firefox bug fix */
    margin-left: 0;
    & > img {
      //height: 100%;
      padding: 0px 15px 0 15px; /* firefox bug fix */
      width: auto;
    }
  }
  .dropdown-menu {
    border:0px;
    @include box-shadow(0px 10px 20px rgba(0, 0, 0, 0.15));
  }
  .navbar-nav {
    clear: left;
    margin: 0 -15px;
    &.navbar-right {
      clear: none;
    }
  }

  //User menu
  .navbar-nav > .user-menu {
    > a {
      padding-top:10px !important;
      padding-bottom: 10px !important;
    }
    //.user-image {
    //  float: none;
    //  width: 25px;
    //  height: 25px;
    //  margin:0;
    //}
    > .dropdown-menu {
      padding:0;
      width: 100%;
      //@include box-shadow(0px 1px 1px rgba(0, 0, 0, 0.1));
      > li.user-header {
        background-color: $dge-prospective;
        height: auto;
        > div {
          z-index: 5;
          color: #fff;
          font-size: 17px;
          //text-shadow: 2px 2px 3px #333333;
          min-height: 85px;
          padding-top: 10px;
          text-align: left;
          > h3 {
            font-size: 18px;
            margin:0 0 8px 0;
          }
          > h4 {
            font-size: 15px;
            margin:0 0 8px 0;
          }

          > small {
            display: block;
            font-size: 12px;
            margin: 0;
          }
        }
      }
      > li.user-footer {
        padding: 5px
      }
    }
  }
}

@media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
  .navbar-collapse.collapse {
      display: none !important;
  }
  .navbar-collapse.collapse.in {
      display: block !important;
  }
  .navbar-header .collapse, .navbar-toggle {
      display:block !important;
  }
  .navbar-header {
      float:none;
  }
}

@media (min-width: $screen-sm-min) {
  .main-header .navbar {
    .navbar-gouv {
      display: block;
      float: left;
      padding: 0 25px 0 13px;
      background: #FFF;
      img { display: inline };
    }
    .navbar-brand {
      position: relative;
      margin-left:-42px;
    }
    .navbar-gouv-bg {
      position: absolute;
      background: #FFF;
      width: 50%;
      height: 50px;
    }
  }
}

@media (min-width: $screen-md-min) {
  .main-header .navbar {
    .navbar-brand > img {
      //padding: 0px 15px 0 0;
    }
    .navbar-wrapper {
      margin-left: 0px;
    }
    .navbar-right {
      margin-right: 0px;
    }
    .navbar-gouv-placeholder {
      width: 204px;
      height: 50px;
      float: left;
      background: #FFF;
    }
    .navbar-gouv {
      float: none;
      position: absolute;
      margin-left:-204px;
    }
    .navbar-nav {
      margin: 0;
      clear: none;
      > .user-menu {
        > a {
          padding-top: 12px !important;
          padding-bottom: 13px !important;
          > .user-image {
            float: none;
            margin:0;
          }
        }
        > .dropdown-menu {
          width: 280px;
          li.user-header > div {
            text-align: center;
          }
        }
      }
    }
  }
}


@media (min-width: $screen-lg-min) {
  .main-header .navbar {

  }
}

@media (max-width: $screen-header-collapse) {
  .main-header .navbar .dropdown-menu {
    li {
      &.divider {
        background-color: rgba(255, 255, 255, 0.1);
      }
      a {
        color: #fff;
        &:hover {
          background: darken($dge-blue, 5%);
        }
      }
    }
  }
}

// -----------------------
// PUBLIC HEADER
// -----------------------


$public-header-height: 131px;
$public-header-padding-vertical:(($public-header-height - $line-height-computed) / 2) !default;
$navbar-text-size: 18px;

@mixin public-header-vertical-align($element-height) {
  margin-top: (($public-header-height - $element-height) / 2);
  margin-bottom: (($public-header-height - $element-height) / 2);
}

.public-header .navbar {
  font-family: 'Open Sans', sans-serif;
  z-index: 1030;
  margin-bottom: 0;
  background: #FFF;
  border: none;
  border-bottom: 1px solid #e7e7e7;
  border-radius: 0;
  .navbar-brand {
    padding-top: 0;
    padding-bottom: 0;
    height: auto;
  }
  .navbar-text {
    @include public-header-vertical-align(floor($navbar-text-size * $line-height-base));
    display:none;
    font-size: $navbar-text-size;
    color: $dge-primary;
  }
}

.public-header .navbar-nav {
  margin: 0 (-$navbar-padding-horizontal);
  border-top:1px solid #e7e7e7;
  @media (min-width: $grid-float-breakpoint) {
    > li {
      > a {
        padding-top:    $public-header-padding-vertical;
        padding-bottom: $public-header-padding-vertical;
      }
    }
  }

  //@media (min-width: $grid-float-breakpoint) {
  //  // Remove background color from open dropdown
  //  > .open > a {
  //    &,
  //    &:hover,
  //    &:focus {
  //      background-color: $gray-100;
  //    }
  //  }
  //}
}

//.public-header .navbar-nav .language-switcher {
//  border-left:1px solid $gray-200;
//  border-right:1px solid $gray-200;
//}

@media (min-width: $screen-sm-min) {
  .public-header .navbar {
    .navbar-brand {
      height: $public-header-height;
      width: auto;
      text-align: left;
    }
  }
  .public-header .navbar-nav {
    border-top:0px
  }
}

@media (min-width: $screen-md-min) {
  .public-header .navbar {
    .navbar-text {
      display: block;
    }
  }
}
